#pragma once
#include <ExpansionCard.hpp>
#include <PubSubClient.h>
class IoTComponent {
    public:
        virtual bool begin(ExpansionCard *card);
        virtual void handleMqttMessage(char *topic, char *payload);
        void setMqttClient(PubSubClient *mqtt);
    private:
        PubSubClient *mqtt;
};
